package lecho.lib.hellocharts.model;

import java.util.ArrayList;
import java.util.List;

public class Axis {
	private List<AxisValue> values = new ArrayList<AxisValue>();
	private String name;
	private boolean isAutoGenerated = true;
	private ValueFormatter formatter = new NumberValueFormatter();

	public Axis() {

	}

	public Axis(List<AxisValue> values) {
		this.values = values;
	}

	public List<AxisValue> getValues() {
		return values;
	}

	public Axis setValues(List<AxisValue> values) {
		this.values = values;
		return this;
	}

	public String getName() {
		return name;
	}

	public Axis setName(String name) {
		this.name = name;
		return this;
	}

	public boolean isAutoGenerated() {
		return isAutoGenerated;
	}

	public void setAutoGenerated(boolean isAutoGenerated) {
		this.isAutoGenerated = isAutoGenerated;
	}

	public ValueFormatter getFormatter() {
		return formatter;
	}

	public Axis setFormatter(ValueFormatter formatter) {
		if (null == formatter) {
			this.formatter = new NumberValueFormatter();
		} else {
			this.formatter = formatter;
		}
		return this;
	}
}
